
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class V1::UnlockedAchievementsController < ApplicationController
  include ::Paginator
  
  before_action :set_achievement, only: :show
  before_action :authenticate_user!, only: :index

  def index
    achievements = paginate current_user.unlocked_achievements
    render json: achievements
  end

  def show
    render json: @achievement
  end

  # GET /v1/unlocked_achievements/user/:id
  def show_specific

    # search for a all unlocked_achievements of a specific user
    un_achievement = paginate User.find_by_id(params[:user_id]).unlocked_achievements
    render json: un_achievement
    
  end

  private

  def set_achievement
    @achievement ||= UnlockedAchievement.find_by_id(params[:id])
    if @achievement.blank?
      render status: :not_found
    end
  end

end
